XAMPP 1.8.0 fix phpmyadmin შემდეგ განახლება

რამდენიმე დღის out XAMPP 1.8.0 გუშინ განახლება მობილური 1.7.7 მე მქონდა საკმაოდ საინტერესო პრობლემაა. Phpmyadmin და მას არ გახსნა და ტაშს ერთად 403

წვდომა აკრძალულია!


New XAMPP უსაფრთხოების კონცეფცია:

თხოვნის ობიექტი ხელმისაწვდომია მხოლოდ ადგილობრივი ქსელის.

ეს პარამეტრი შეიძლება კონფიგურაცია ფაილი “httpd-xampp.conf”.

მაშინვე გახსნა httpd-xampp.conf რომელიც ჩემთვის არის / opt / lampp / etc / დამატებითი /, ერთი შეხედვით ყველაფერი ჩანდა ჯარიმა. წესები ადგილობრივი ქსელის შორის იყვნენ. გარდა გახსნის localhost. WTF ??? შევხედე შესვლა და ვხედავ, რომ ჩემი წვდომა შეწყვიტა მიერ konfiguatsiyata. აქ არის ის, რაც მე gasped და გულწრფელად შედარებით ნაკლებად წარმატებას ნაპოვნი პრობლემა. След като преглеждах httpd.conf-а видях в Allow/Deny клаузите един последен ред მოითხოვს ყველა მიანიჭა. Oh eureka. ეს არის ახალი კონტროლის მექანიზმი, რომელიც შევიდა apache 2.4.x. იგი იძლევა წვდომის ან უარის თქმის რაიმე ასეთი ჯარიმა, ძირითადად mimics ნება / უარყოფენ ფუნქცია :). За да поправим проблема добавяме Require all granted в директивите за папката /opt/lampp/phpmyadmin. ცვლილებების შემდეგ ჩემთვის ჰგავს

<დირექტორია “/opt / lampp / phpmyadmin”>
AllowOverride AuthConfig Limit
რათა დაუშვას,უარყოფს
ნება ყველა
მოითხოვს ყველა მიანიჭა
</დირექტორია>

 

Viangi შეგიძლიათ სცადოთ სხვა ველური, მაგალითად, გადარქმევა საქაღალდეში phpmyadmin რაღაც და არ alias to. მაგრამ ეს მახინჯი და არ არის ძალიან მნიშვნელოვანი 🙂

p.s მკითხეს, თუ რატომ გამოვიყენო XAMPP არის სუფთა ინსტალაცია ყველა კომპონენტი, როგორც მათ ჩემი Debian დაიბადა – отговорът е много много простМЪРЗЕЛ. Мързи ме да напиша няколко команди после да си пипна конфовете и прочие. Доста по лесно е сваляш целия пакет разархивираш и палиш 😉

გაუმჯობესებულია Zemanta

დატოვეთ პასუხი

თქვენი ელ-ფოსტა არ გამოქვეყნდება. აუცილებელი ველები მონიშნულია *

ანტი სპამი *